org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.AddReplicaProp

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncShardSpecificAdminRequest
        - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AddReplicaProp

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CollectionAdminRequest<T extends CollectionAdminResponse>

      public static class CollectionAdminRequest.AddReplicaProp
      extends CollectionAdminRequest.AsyncShardSpecificAdminRequest

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncShardSpecificAdminRequest

      `collection, shard`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

      `asyncId`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddReplicaProp()` Deprecated. Use `CollectionAdminRequest.addReplicaProperty(String, String, String, String, String)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SolrParams` | `getParams()`
    `String` | `getPropertyName()`
    `String` | `getPropertyValue()`
    `String` | `getReplica()`
    `Boolean` | `getShardUnique()`
    `CollectionAdminRequest.AddReplicaProp` | `setAsyncId(String id)` Deprecated.
    `CollectionAdminRequest.AddReplicaProp` | `setCollectionName(String collection)` Deprecated.
    `CollectionAdminRequest.AddReplicaProp` | `setPropertyName(String propertyName)` Deprecated.
    `CollectionAdminRequest.AddReplicaProp` | `setPropertyValue(String propertyValue)` Deprecated.
    `CollectionAdminRequest.AddReplicaProp` | `setReplica(String replica)` Deprecated.
    `CollectionAdminRequest.AddReplicaProp` | `setShardName(String shard)` Deprecated.
    `CollectionAdminRequest.AddReplicaProp` | `setShardUnique(Boolean shardUnique)`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

      `createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, createAlias, createCollection, createCollection, createCollectionWithImplicitRouter, createShard, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteCollection, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getContentStreams, getOverseerStatus, listCollections, migrateCollectionFormat, migrateData, rebalanceLeaders, reloadCollection, removeRole, requestStatus, restoreCollection, setClusterProperty, splitShard, waitForAsyncRequest`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddReplicaProp

          @Deprecated
          public AddReplicaProp()

      Deprecated. Use `CollectionAdminRequest.addReplicaProperty(String, String, String, String, String)`

  - ### Method Detail

    - #### getReplica

          public String getReplica()

    - #### setReplica

          @Deprecated
          public CollectionAdminRequest.AddReplicaProp setReplica(String replica)

      Deprecated.

    - #### getPropertyName

          public String getPropertyName()

    - #### setPropertyName

          @Deprecated
          public CollectionAdminRequest.AddReplicaProp setPropertyName(String propertyName)

      Deprecated.

    - #### getPropertyValue

          public String getPropertyValue()

    - #### setPropertyValue

          @Deprecated
          public CollectionAdminRequest.AddReplicaProp setPropertyValue(String propertyValue)

      Deprecated.

    - #### getShardUnique

          public Boolean getShardUnique()

    - #### setShardUnique

          public CollectionAdminRequest.AddReplicaProp setShardUnique(Boolean shardUnique)

    - #### setCollectionName

          @Deprecated
          public CollectionAdminRequest.AddReplicaProp setCollectionName(String collection)

      Deprecated.
      Specified by:
        `setCollectionName` in class `CollectionAdminRequest.AsyncShardSpecificAdminRequest`

    - #### setShardName

          @Deprecated
          public CollectionAdminRequest.AddReplicaProp setShardName(String shard)

      Deprecated.
      Specified by:
        `setShardName` in class `CollectionAdminRequest.AsyncShardSpecificAdminRequest`

    - #### setAsyncId

          @Deprecated
          public CollectionAdminRequest.AddReplicaProp setAsyncId(String id)

      Deprecated.
      Overrides:
        `setAsyncId` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `CollectionAdminRequest.AsyncShardSpecificAdminRequest`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.